summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2017-10-15 16:44:13 -0700
committerDavid Seifert <soap@gentoo.org>2017-10-15 17:07:22 -0700
commitf763f3c29d7d02df985ff62778c5596be388940b (patch)
tree3497c50af23b74c939873831fbb2b813a7a3339b /games-arcade
parentgames-arcade/jvgs: [QA] Add cmake-utils_src_prepare (diff)
downloadgentoo-f763f3c29d7d02df985ff62778c5596be388940b.tar.gz
gentoo-f763f3c29d7d02df985ff62778c5596be388940b.tar.bz2
gentoo-f763f3c29d7d02df985ff62778c5596be388940b.zip
games-arcade/slimevolley: [QA] Add cmake-utils_src_prepare
Package-Manager: Portage-2.3.11, Repoman-2.3.3
Diffstat (limited to 'games-arcade')
-rw-r--r--games-arcade/slimevolley/slimevolley-2.4.2.ebuild14
1 files changed, 9 insertions, 5 deletions
diff --git a/games-arcade/slimevolley/slimevolley-2.4.2.ebuild b/games-arcade/slimevolley/slimevolley-2.4.2.ebuild
index 491ae9f18fc..4e1de9bd483 100644
--- a/games-arcade/slimevolley/slimevolley-2.4.2.ebuild
+++ b/games-arcade/slimevolley/slimevolley-2.4.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@@ -28,11 +28,15 @@ PATCHES=( "${FILESDIR}"/${P}-nodatalocal.patch
S=${WORKDIR}/${PN}
+src_prepare() {
+ cmake-utils_src_prepare
+}
+
src_configure() {
- mycmakeargs=(
- "-DCMAKE_VERBOSE_MAKEFILE=TRUE"
- "-DBIN_DIR=${GAMES_BINDIR}"
- $(use net && echo "-DNO_NET=0" || echo "-DNO_NET=1")
+ local mycmakeargs=(
+ "-DCMAKE_VERBOSE_MAKEFILE=TRUE"
+ "-DBIN_DIR=${GAMES_BINDIR}"
+ $(use net && echo "-DNO_NET=0" || echo "-DNO_NET=1")
)
cmake-utils_src_configure
}